%define module_version 1.01
%define module_name Crypt-Serpent
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt8
Summary: Crypt::CBC compliant Serpent block cipher encryption module
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JH/JHUGHES/%{module_name}-%{module_version}.tar.gz
# TODO: fix compilation on other arches
ExclusiveArch: %{ix86}

%description
From the Tropical Software Serpent page...

"Serpent was designed by Ross Anderson, Eli Biham and Lars Knudsen as a
candidate for the Advanced Encryption Standard. It has been selected as
one of the five finalists in the AES competition. Serpent is faster than
DES and more secure than Triple DES. It provides users with a very high
level of assurance that no shortcut attack will be found. To achieve this,
the algorithm's designers limited themselves to well understood cryptography
mechanisms, so that they could rely on the wide experience and proven
techniques of block cipher cryptanalysis. The algorithm uses twice as many
rounds as are necessary to block all currently known shortcut attacks. This
means that Serpent should be safe against as yet unknown attacks that may be
capable of breaking the standard 16 rounds used in many types of encryption
today. However, the fact that Serpent uses so many rounds means that it is
the slowest of the five AES finalists. But this shouldn't be an issue because
it still outperforms Triple DES. The algorithm's designers maintain that
Serpent has a service life of at least a century."

"Serpent is a 128-bit block cipher, meaning that data is encrypted and
decrypted in 128-bit chunks. The key length can vary, but for the purposes
of the AES it is defined to be either 128, 192, or 256 bits. This block size
and variable key length is standard among all AES candidates and was one of
the major design requirements specified by NIST. The Serpent algorithm uses
32 rounds, or iterations of the main algorithm."

=over 4


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README COPYING CHANGES
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.01-alt8
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.01-alt7
- rebuild with perl 5.34.0

* Sat Oct 03 2020 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt6
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt5.1
- rebuild with perl 5.28.1

* Fri Dec 29 2017 Igor Vlasenko <viy@altlinux.ru> 1.01-alt5
- build with new perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt4
- rebuild to get rid of unmets

* Mon Nov 30 2015 Igor Vlasenko <viy@altlinux.ru> 1.01-alt3
- rebuild with perl 522

* Tue Dec 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt2
- rebuild with perl 5.20.1

* Mon May 05 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

